Architektura Zeď

From FreeCAD Documentation
Revision as of 21:52, 20 January 2015 by Renatorivo (talk | contribs)

Zed'

Umístění Menu
Arch → Zed'
Pracovní stoly
Architettura
Výchozí zástupce
W A
Představen ve verzi
-
Viz také
Struktura

Popis

Tento nástroj staví objekt Zeď od začátku nebo na vrchní části jakéhokoliv objektu založeného na tvaru nebo síti. Zeď může být postavena i bez jakéhokoliv základního objektu, v takovém případě se chová jako trojrozměrné těleso, které má vlastnosti délka, šířka a výška. Pokud je postavena na vrchní části existujícího tvaru, může být založena na:

  • 2D lineárním objektu, jako jsou přímky, lomené čáry, úhly nebo náčrty, v takovém případě můžete měnit tloušťku, zarovnání (vlevo, vpravo nebo na střed) a výšku. Vlastnost délka nemá žádný vliv.
  • rovné ploše, v takovém případě můžete měnit pouze výšku. Vlastnosti délka a šířka nemají žádný vliv. Je-li plocha svislá, bude se používat vlastnost šířka místo výšky, což umožňuje vytvořit zeď z jakoby prostorových objektů nebo hmotových studií.
  • tělese, kdy vlastnosti délka šířka a výška nemají žádný vliv. Zeď jednoduše přebírá tvary podkladového tělesa.
  • síti, v takovém případě musí být podkladová síť uzavřená bez mezer.

"Příklady zdí vystavěných na přímce, lomené čáře, ploše, tělese a náčrtu"

Zdi také mohou být přidávány nebo odebírány. Přídavky jsou další objekty jejichž tvary jsou připojeny ke tvaru zdi, zatímco odebírání jsou tvary odebírané ze zdi. Přidávání a odebírání se dělá pomocí nástrojů Přidat and Odebrat. Přidávání a odebírání nemá žádný vliv na parametry zdi jako jsou výška a šířka, které mohou být dále měněny. Zeď může mít také automatickou výšku, a to v případě když je včleněna do výškově daného objektu jako je podlaží. Výška pak musí být nastavena na 0, zeď pak přebírá výšku specifikovanou v rodičovském objektu.

Pokud se má několik zdí protínat, musíte je umístit do podlaží aby se protínaly v jeho konstrukci.

Použití

Kreslení zdi z náčrtu

  1. Press the Arch Wall button, or press W then A keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Drawing a wall on top of a selected object

  1. Select one or more base geometry objects (Draft object, sketch, etc)
  2. Press the Arch Wall button, or press the W then A keys
  3. Adjust needed properties such as height or width.

Options

  • The height, width and alignment of a wall can be set during drawing, via the task panel
  • When snapping a wall to an existing wall, both walls will be joined into one. The way the two walls are joined depends on their properties: If they have the same width, height and alignment, and if the option "join base sketches" is enabled in the Arch preferences, the resulting wall will be one object based on a sketch made of several segments. Otherwise, the latter wall will be added to the first one as addition.
  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press ESC or the Cancel button to abort the current command.
  • Double-clicking on the wall in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions
  • Multi-layer walls can be easily created by building several walls from the same baseline. By setting their Align property to either left or right, and specifying an Offset value, you can effectively construct several wall layers. Placing a window in such a wall layer will propagate the opening to the other wall layers based on the same baseline.

Snapping

Uchopování pracuje trochu odlišně ve Zdech než v jiných objektech Architektury nebo Kreslení. Pokud má zeď podkladový objekt, bude vázána na základový objekt místo na konstrukci zdi, což Vám umožní snadněji vyrovant zdi k jejich základně. Nicméně, pokud specifikujete, že chcete uchopovat podle konstrukce zdi stisknutím klávesy CTRL bude uchopování přepnuto na objekt zdi.

Properties

Wall objects inherit the properties of Part objects, and also have the following extra properties:

  • ÚdajeAlign: The alignment of the wall on its baseline: Left, right or center
  • ÚdajeBase: The base object this wall is built on
  • ÚdajeFace: The index of the face from the base object to use. If the vaue is not set or 0, the whole object is used
  • ÚdajeForce Wire: If True, and the wall is based on a face, only the border wire of the face is used, resulting in a wall bordering the face
  • ÚdajeLength: The length of the wall (not used when the wall is based on an object)
  • ÚdajeWidth: The width of the wall (not used when the wall is based on a face)
  • ÚdajeHeight: The height of the wall (not used when the wall is based on a solid). If no height is given, and the wall is inside a floor object with its height defined, the wall will automatically take the value of the floor height.
  • ÚdajeNormal: An extrusion direction for the wall. If set to (0,0,0), the extrusion direction is automatic.
  • ÚdajeOffset: This specifies the distance between the wall and its baseline. Works only if the Align property is set to Right or Left.

Scripting

Nástroj Zeď může být využit v makrech a z konzoly Pythonu použitím následující funkce:

makeWall ( [obj],[length],[width],[height],[align],[face],[name] )
  • Vytvoří zeď založenou na zadaném objektu, což může být náčrt, nakreslený objekt, plocha nebo těleso. Zarovnání může být "Center","Left" or "Right". Není-li zadán žádný podkladový objekt, pak musíte použít číslené hodnoty pro délku, šířku a výšku. Face může být použito pro zadání indexu použité plochy podkladového objektu, na kterém je zeď stavěna, místo použití celého objektu.
  • Vrací vytvořenou zeď nebo None když operace skončila neúspěšně.

Příklad:

import FreeCAD, Draft, Arch
baseline = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Arch.makeWall(baseline,None,0.1,2)